Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface VirtualHostMBean

public interface VirtualHostMBean
extends WebServerMBean

This bean represents the configuration of virtual web server within a weblogic server. Note that a server may define multiple web servers to support virtual hosts.

This MBean represents a virtual host.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`java.lang.String[]` | `getVirtualHostNames()` Returns the host name for which this web server will serve requests.
`void` | `setVirtualHostNames(java.lang.String[] names)` Sets the virtual host name for which this web server will serve requests.

Methods inherited from interface weblogic.management.configuration.WebServerMBean
`getCharsets, getDefaultWebApp, getHttpsKeepAliveSecs, getKeepAliveSecs, getLogFileBufferKBytes, getLogFileFlushSecs, getLogFileFormat, getLogFileName, getLogRotationPeriodMins, getLogRotationTimeBegin, getLogRotationType, getMaxLogFileSizeKBytes, getMaxPostSize, getMaxPostTimeSecs, getPostTimeoutSecs, getURLResource, getWriteChunkBytes, isClusteringEnabled, isDebugEnabled, isEventsEnabled, isKeepAliveEnabled, isLoggingEnabled, isWAPEnabled, setCharsets, setClusteringEnabled, setDefaultWebApp, setHttpsKeepAliveSecs, setKeepAliveEnabled, setKeepAliveSecs, setLogFileBufferKBytes, setLogFileFlushSecs, setLogFileFormat, setLogFileName, setLoggingEnabled, setLogRotationPeriodMins, setLogRotationTimeBegin, setLogRotationType, setMaxLogFileSizeKBytes, setMaxPostSize, setMaxPostTimeSecs, setPostTimeoutSecs, setURLResource, setWAPEnabled`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getVirtualHostNames

    public java.lang.String[] getVirtualHostNames()

  Returns the host name for which this web server will serve requests.

  A configurable MBean attribute
  Default Value: null

### setVirtualHostNames

    public void setVirtualHostNames(java.lang.String[] names)
                             throws javax.management.InvalidAttributeValueException

  Sets the virtual host name for which this web server will serve requests.

  Throws:
    java.lang.IllegalArgumentException - if the name is null or if it is not a well-formed partial or fully specified hostname.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD